"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _babelNode = _interopRequireDefault(require("../actions/tools/babelNode"));

var _taskHook = _interopRequireDefault(require("./helpers/taskHook"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const startTask = async (argv, props) => {
  await (0, _taskHook.default)(argv, {
    task: 'start',
    type: 'pre'
  });
  await (0, _babelNode.default)(argv, props);
  await (0, _taskHook.default)(argv, {
    task: 'start',
    type: 'post'
  });
};

var _default = startTask;
exports.default = _default;